> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Solana Address Webhook

> Create an address activity driven webhook.



## OpenAPI

````yaml /reference/api-json.json post /webhook/solana-address-activity
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /webhook/solana-address-activity:
    post:
      tags:
        - Webhook
      summary: Create Solana Address Webhook
      description: Create an address activity driven webhook.
      operationId: CreateSolanaAddressActivityWebhook
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSolanaAddressActivityWebhook'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateSolanaAddressActivityWebhook:
      type: object
      properties:
        name:
          type: string
          description: Name of webhook.
          example: My Webhook
        description:
          type: string
          description: Description of webhook.
          example: My Webhook description
        webhookUrl:
          type: string
          description: URL where webhooks are sent to.
          example: https://webhook.uniblock.dev
        provider:
          type: string
          enum:
            - Alchemy
            - Moralis
            - Tatum
            - SimpleHash
            - Helius
          description: Provider of webhook service.
          example: Helius
        metadata:
          type: object
          description: Additional metadata to be returned alongside a webhook response.
          example:
            source: Uniblock
        addresses:
          description: Accounts to be watched.
          example:
            - vines1vzrYbzLMRdu58ou5XTby4qAqVRLmqo36NKPTg
          type: array
          items:
            type: string
        filter:
          description: An object representing the desired filters.
          example:
            AND:
              - leaf:
                  field: programId
                  operator: eq
                  value: DfXygSm4jCyNCybVYYK6DwvWqjKee8pbDmJGcLWNDXjh
              - leaf:
                  field: data
                  operator: gt
                  value: '4294967295'
          allOf:
            - $ref: '#/components/schemas/SolanaFilterItem'
      required:
        - name
        - description
        - webhookUrl
        - provider
        - metadata
    SolanaFilterItem:
      type: object
      properties:
        AND:
          description: An array of filter items to be combined with AND.
          example:
            - leaf:
                field: programId
                operator: eq
                value: DfXygSm4jCyNCybVYYK6DwvWqjKee8pbDmJGcLWNDXjh
            - leaf:
                field: data
                operator: gt
                value: '4294967295'
          type: array
          items:
            type: string
        OR:
          description: An array of filter items to be combined with OR.
          example:
            - leaf:
                field: programId
                operator: eq
                value: DfXygSm4jCyNCybVYYK6DwvWqjKee8pbDmJGcLWNDXjh
            - leaf:
                field: data
                operator: gt
                value: '4294967295'
          type: array
          items:
            type: string
        leaf:
          description: A filter leaf.
          example:
            field: programId
            operator: eq
            value: DfXygSm4jCyNCybVYYK6DwvWqjKee8pbDmJGcLWNDXjh
          allOf:
            - $ref: '#/components/schemas/SolanaFilterLeaf'
    SolanaFilterLeaf:
      type: object
      properties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````